Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/consultationlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $user =& eZUser::currentUser()
if(!is_a( $user, "eZUser")) if(!eZPermission::checkPermission( $user, "eZContact", "Consultation")) if(isset( $ConsultationList)) | else
| $languagefile = "consultationlist.php"
| $t
else | $companies = eZConsultation::findConsultedCompanies( $user->id() )
| $count = count( $companies )
else | $persons = eZConsultation::findConsultedPersons( $user->id() )

## Variable Documentation

## ◆ $companies

else $companies = eZConsultation::findConsultedCompanies( $user->id() )

Definition at line 221 of file admin/consultationlist.php.

Referenced by eZContactSupplier\urlList().

## ◆ $count

$count = count( $companies )

Definition at line 222 of file admin/consultationlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file admin/consultationlist.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 30 of file admin/consultationlist.php.

## ◆ $languagefile

$languagefile = "consultationlist.php"

Definition at line 60 of file admin/consultationlist.php.

## ◆ $persons

else $persons = eZConsultation::findConsultedPersons( $user->id() )

Definition at line 263 of file admin/consultationlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, $languagefile )
$languagefile
$languagefile
Definition: admin/consultationlist.php:60
$Language
$Language
Definition: admin/consultationlist.php:30
$ini
$ini
Definition: admin/consultationlist.php:29
eZTemplate
Definition: eztemplate.php:107

Definition at line 63 of file admin/consultationlist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 37 of file admin/consultationlist.php.

## ◆ else

if ($i< 0) for ($i=0;$i< $count;$i++) if ($count > 0) else

Initial value:
{
$templatefile = "consultationlist.tpl"

Definition at line 57 of file admin/consultationlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.